<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

use Melipayamak\MelipayamakApi;

class WIP_Melipayamak extends WIP_SMS {

    public function send() {
        try {
            $username = $this->username;
            $password = $this->password;
            $api = new MelipayamakApi($username, $password);
            $sms = $api->sms();
            $to = $this->to;
            $from = $this->from;
            $text = $this->message;
            $response = $sms->send($to, $from, $text);
            $json = json_decode($response);
            return $json->Value;
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}