<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

class WIP_Rangine extends WIP_SMS {

    public function send() {
        if ($this->pattern_code) {
            $client = new SoapClient("http://188.0.240.110/class/sms/wsdlservice/server.php?wsdl");
            $user = $this->username;
            $pass = $this->password;
            $fromNum = $this->from;
            $toNum = [$this->to];
            $pattern_code = $this->pattern_code;
            $input_data = $this->get_pattern_message();
            $result = $client->sendPatternSms($fromNum, $toNum, $user, $pass, $pattern_code, $input_data);
            return $result;
        } else {
            $panel = "https://sms.rangine.ir";
            $param = array(
                'uname' => $this->username,
                'pass' => $this->password,
                'from' => $this->from,
                'to' => json_encode(explode(',', $this->to)),
                'message' => $this->message,
                'op' => 'send',
            );

            $handler = curl_init($panel . "/services.jspd");
            curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($handler, CURLOPT_POSTFIELDS, $param);
            curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($handler, CURLOPT_CONNECTTIMEOUT, 10);
            curl_setopt($handler, CURLOPT_TIMEOUT, 30); //timeout in seconds
            $response = curl_exec($handler);
            $response2 = json_decode($response);
            $res_code = $response2[0];
            $res_data = $response2[1];

            if ($res_code == '0') {
                $status = $result = 'sent';
            } else {
                $status = 'failed';
                $result = $this->getPanelErrors($res_code);
            }

            $result = array('status' => $status, 'result' => $result, 'res_data' => $res_data);
            return json_encode($result);
        }
    }
}