<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Kavenegar extends WIP_SMS {

	public function send() {
		try {
			$api      = new \Kavenegar\KavenegarApi( $this->username );
			$sender   = $this->from;
			$message  = $this->message;
			$receptor = array( $this->to );
			$result   = $api->Send( $sender, $receptor, $message );
			/*if ( $result ) {
				foreach ( $result as $r ) {
					echo "messageid = $r->messageid";
					echo "message = $r->message";
					echo "status = $r->status";
					echo "statustext = $r->statustext";
					echo "sender = $r->sender";
					echo "receptor = $r->receptor";
					echo "date = $r->date";
					echo "cost = $r->cost";
				}
			}*/
            return $result;
		} catch ( \Kavenegar\Exceptions\ApiException $e ) {
			return $e->errorMessage();
		} catch ( \Kavenegar\Exceptions\HttpException $e ) {
			return $e->errorMessage();
		}
	}
}